Overview

  • What is WinGet?

  • Why Use WinGet?

  • System Requirements

  • Installation/Uinstallation


What Is WinGet?

WinGet is a download accelerator that can increase download speeds by up to 300 percent. Unlike similar applications, it is completely free. It does not contain any banner ads or spy-ware.

The acceleration is achieved by splitting the file being downloaded into several parts and downloading these parts at the same time.

You may automatically resume broken downloads if your connection is lost or if your computer accidentally shuts down. WinGet may also automatically connect to your ISP and hang-up upon completion of downloads.

WinGet is fully integrated into the browser, providing the best possible performance from any Internet connection (dial-up, cable, DSL/ADSL, T1 etc.).

WinGet has HTTP and SOCKS proxy support.


Why Use WinGet?

WinGet is a tool to help you download files from the Internet. It offers you features that do not exist in most browsers:

  • Multiple protocol support: WinGet supports file download from both file transfer (FTP) and web (HTTP) servers.

  • Accelerated downloads: By splitting the files into several parts and downloading them at the same time you save time. In some cases the acceleration can be several hundreds percent.

  • Reliable downloads: WinGet will make unlimited amount of attempts to download the file, until download is completed.

  • Superior ease-of-use: WinGet's interface is logical, integrated, informative and customizable. Queue your downloads with WinGet's logical queuing system.

  • Browser integration: WinGet works as the default download tool for Microsoft Internet Explorer. It can monitor clicks in the browser, also it integrates in the browser's right-click menu.

  • Proxy support: You can enable HTTP or SOCKS proxy support to access servers through the firewall.


System Requirements

WinGet is not a resource-consuming utility. To use WinGet, you need:

  • Microsoft Windows 98/ME/2000/XP

  • Microsoft Internet Explorer 5.0 or higher

  • Approximately 1MB of free disk space


Installation/Uninstallation

Installation

To install WinGet on a computer, you need to have administrative rights. The installation process does not take much time. All you need to do is to follow the instructions of the Setup Wizard. There is no need to reboot, so you can run the program right after it is installed on your machine.

Uninstallation

To uninstall WinGet, choose Settings option in Windows Start menu. Select Control Panel, choose Add/Remove programs, find WinGet in the list of currently installed programs and click Add/Remove button.


User Interface

  • Main Toolbar

  • Program Menu

  • Queue Window

  • Download Dialog

  • Global Settings

  • Progress Dialog

  • Properties Dialog

  • Tray Icon

  • Hot Keys


Main Toolbar

The program toolbar allows you to perform program operations using the following buttons.

  • Paste URL: Starts a new download using the specified URL.

  • Settings: Displays the settings dialog.

  • Start: Start the selected downloads.

  • Stop: Stops the selected downloads.

  • Queue: Queues the selected downloads.

  • Open: Opens the downloaded files.

  • Remove: Removes the selected downloads from the queue.

  • Properties: Shows properties of the selected download.


Program Menu

The program menu allow managing your downloads with a number of options.

File Menu

  • Paste URL: Starts a new download using the specified URL.

  • Settings: Displays the settings dialog.

Download Menu

  • Start: Start the selected downloads.

  • Stop: Stops the selected downloads.

  • Queue: Queues the selected downloads.

  • Open: Opens the downloaded files.

  • Remove: Removes the selected downloads from the queue.

  • Properties: Shows properties of the selected download.

View Menu

  • Toolbar: Shows or hides the toolbar.

  • Status Bar: Shows or hides the status bar.

Help Menu

  • Contents: Displays the table of contents for the documentation.

  • Feedback: Sends your comments and suggestions to the technical support.

  • About: Displays program information, version number and copyright.


Queue Window

Queue window displays downloads, their statuses and related information. The window shows a report of all files that WinGet is currently downloading, or that are in your list to be downloaded. You may select one or more items in the list (hold Ctrl or Shift when selecting to pick more than one item) to do any of the functions from the toolbar or menu.


Download Properties

Download Dialog

Enter the URL which you wish to download.


Settings Dialog

General Settings

  • Load this program on Windows starup
    Check this if you want WinGet to start automatically when you startup Windows.

  • Start downloading upon connection to the Internet
    If this check is enabled then WinGet will automatically start downloading when a dial-up connection is established.

  • Open progress dialog when download starts
    For each download, a window with information will be shown. If you uncheck this, information about the download will only appear in the queue.

  • Remove successfully finished items from the queue
    This allows you to remove each download from the queue automatically when download is complete. Please note that this does not remove the file from your hard drive, only its entry in the list.

  • Download folder
    This is the folder that will be suggested in the Download File dialog.

  • Temporary folder
    This is where the partial files will be downloaded to before they are joined together and moved to the folder that you chose in the Download File dialog.

Integration Settings

  • Integrate into Microsoft Internet Explorer
    Check this if you want WinGet to download files when you click on them in your browser. Currently this works only with Microsoft Internet Explorer.

  • Automatically start download the following types
    You may choose which file types that WinGet will handle when you click on them in your browser.

Connection Settings

  • Max simultaneous downloads
    This allows you to set an upper limit on the number of downloads that will be active at the same time. If the files which want download more then allowed number, some downloads will waiting other downloading is finished then start.

  • Download a file using X threads
    Here you may choose the level of acceleration in WinGet.

  • Connection retry attempts
    You may set the number of times that WinGet will try to reconnect to a server.

  • Delay between retries
    If a connection to a server is lost, a new try will be made after this many seconds.

Protocols Settings

  • E-mail address for anonymous login
    Many FTP servers require your e-mail address to login to download files. This e-mail address will only be used by WinGet for logging into FTP servers.

  • Connect using passive mode
    In passive mode the connection is established by your computer. It is recommended you check this option if you are using a proxy server.

  • User-agent
    Some web sites only allows certain browsers to download from their site. By using this option, you are telling WinGet to imitate miscellaneous browsers.

  • Do not use proxy cache
    Some proxy servers store browsed data in its cache. When someone requests access to that data later, the proxy server will retrieve the data straight from the quicker cache instead of getting it from its original location. Checking this option WinGet to request that the server not use cache.

Proxy Settings

  • Use HTTP proxy server
    If you want to use an HTTP proxy, please check this box.

  • Use SOCKS proxy server
    If you want to use an SOCKS proxy, please check this box.

  • Server & port
    The proxy server's actual address & port.

  • User & password
    If the server requires you to be identified, fill in the necessary information here.


Progress Dialog

This dialog displays download status.


Download Properties

Properties Dialog

This dialog displays download properties.


Tray Icon

When WinGet is running, WinGet icon appears in the system tray. It does not require much system resources and provides the following functions:

  • Indicates that WinGet is running.

  • Enables to open the program window by double-clicking the tray icon.

  • Allows to use some program menu options.

Tray Menu

Tray menu is available on right-clicking WinGet tray icon. All menu options are performed with user's left-click.

  • Restore: Shows the program window.

  • Paste URL: Starts a new download using the specified URL.

  • Settings: Displays the settings dialog.

  • Integration: Toggles the browser integration.

  • Quit: Quit the application.


Hot Keys

WinGet allows using the following hot keys instead of toolbar buttons:

  • Paste URL: Ctrl+P

  • Settings: Ctrl+S

  • Remove: Delete

  • Properties: Enter

All hot keys are displayed in the program menu.


Tips and Tricks

  • If you hold the Shift key down when clicking a link in your web browser, WinGet will not catch any link that is clicked.

  • You may temporarily disable monitoring clicks by using the Integration menu item in WinGet tray menu. You will not need to restart your web browser for this change to take effect.

  • Double-click on an incomplete item in the queue will start the file download.

  • Double-click on a successful item in the queue will run the downloaded file.


Browser Integration

  • Internet Explorer

  • Opera Browser

  • Netscape & Mozilla


Internet Explorer

WinGet can automatically intercept Internet Explorer's default download dialog and integrates into the context menu of the browser. Integration settings can be changed on the Integration page in the Settings dialog.


Opera Browser

WinGet can automatically intercept Opera's default download dialog. To enable integration with Opera, copy the file WinNP.dll from the WinGet installation folder to Opera plug-ins folder.

Then you need to set file types which WinGet will take over downloads. Open Opera preferences, choose File types page, select desired file type and click Edit button. After that turn on Use plug-in check and choose WinGet Netscape/Opera Plug-in in the list of plug-ins.


Netscape & Mozilla

WinGet can automatically intercept Netscape's default download dialog. To enable integration with Netscape, copy the file WinNP.dll from the WinGet installation folder to Netscape plug-ins folder and rename it to NPWinGet.dll.


Other Information

  • License Agreement

  • Distribution

  • Contact Information


License Agreement

NICKSOFT WINGET END USER LICENSE AGREEMENT

IMPORTANT: THIS SOFTWARE END USER LICENSE AGREEMENT ("EULA") IS A LEGAL AGREEMENT BETWEEN YOU AND NICKSOFT. USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. READ IT CAREFULLY BEFORE COMPLETING THE INSTALLATION PROCESS AND USING THE SOFTWARE. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. BY INSTALLING, COPYING, OR OTHERWISE USING THE SOFTWARE PRODUCT, YOU AGREE TO BE BOUND BY THE TERMS OF THIS EULA.

1. LICENSE AGREEMENT. As used in this Agreement, "NICKSOFT" shall mean Nicksoft, Inc. NICKSOFT grants Licensee a non-exclusive and non-transferable license to reproduce and use for personal or internal business purposes the executable code version of the Product, provided any copy must contain all of the original proprietary notices. This license does not entitle Licensee to receive from NICKSOFT hard-copy documentation, technical support, telephone assistance, or enhancements or updates to the Product. If more than one license agreement was provided for the Product, and the terms vary, the order of precedence of those license agreements is as follows: a signed agreement, a license agreement available for review on the NICKSOFT website, a printed or electronic agreement that states clearly that it supersedes other agreements, a printed agreement provided with the Product, an electronic agreement provided with the Product. NICKSOFT may terminate this Agreement at any time, for any reason or no reason. NICKSOFT may also terminate this Agreement if Licensee breaches any of its terms and conditions. Upon termination, Licensee shall destroy all copies of the Product.

2. RESTRICTIONS. Without NICKSOFT's prior written consent, Licensee may not: (i) modify or create any derivative works of the Product or documentation, including customization, translation or localization; (ii) decompile, disassemble, reverse engineer, or otherwise attempt to derive the source code for the Product (except to the extent applicable laws specifically prohibit such restriction); (iii) redistribute, encumber, sell, rent, lease, sublicense, or otherwise transfer rights to the Product; (iv) remove or alter any trademark, logo, copyright or other proprietary notices, legends, symbols or labels in the Product; or (v) publish any results of benchmark tests run on the Product to a third party .

3. FEES. There is no license fee for the Product. If Licensee wishes to receive the Product on media, there may be a small charge for the media and for shipping and handling. Licensee is responsible for any and all taxes.

4. PROPRIETARY RIGHTS. Title, ownership rights, and intellectual property rights in the Product shall remain in NICKSOFT and/or its suppliers. The Product is protected by copyright and other intellectual property laws and by international treaties.

5. DISCLAIMER OF WARRANTY. THE PRODUCT IS PROVIDED FREE OF CHARGE, AND, THEREFORE, ON AN "AS IS" BASIS, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE WARRANTIES THAT IT IS FREE OF DEFECTS, VIRUS FREE, ABLE TO OPERATE ON AN UNINTERRUPTED BASIS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS AGREEMENT. NO USE OF THE PRODUCT IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.

6. LIMITATION OF LIABILITY. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL NICKSOFT OR ITS AFFILIATES OR SUPPLIERS BE LIABLE FOR ANY INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF OR INABILITY TO USE THE PRODUCT, INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOST PROFITS, LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF THE LEGAL OR EQUITABLE THEORY (CONTRACT, TORT OR OTHERWISE) UPON WHICH THE CLAIM IS BASED. IN ANY CASE, NICKSOFT'S COLLECTIVE LIABILITY UNDER ANY PROVISION OF THIS AGREEMENT SHALL NOT EXCEED IN THE AGGREGATE THE SUM OF THE FEES LICENSEE PAID FOR THIS LICENSE (IF ANY). SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL, CONSEQUENTIAL OR SPECIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.

7. EXPORT CONTROL. Licensee agrees to comply with all export laws and restrictions and regulations of the United States or foreign agencies or authorities, and not to export or re-export the Product or any direct product thereof in violation of any such restrictions, laws or regulations, or without all necessary approvals. As applicable, each party shall obtain and bear all expenses relating to any necessary licenses and/or exemptions with respect to its own export of the Product from the U.S. By installing or using the Product, Licensee agrees to the foregoing and represents and warrants that it complies with these conditions.

8. U.S. GOVERMENT END-USERS. The Product is a "commercial item" as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of "commercial computer software" and "commercial computer software documentation," as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End-Users acquire the Product with only those rights set forth herein.

9. MISCELANEOUS. This Agreement constitutes the entire agreement between the parties concerning the subject matter hereof, and may be amended only by a writing signed by both parties. This Agreement shall be governed by the laws of the State of California, U.S.A., excluding its conflict of law provisions. All disputes relating to this Agreement are subject to the exclusive jurisdiction of the courts of California and you expressly consent to the exercise of personal jurisdiction in the courts of California in connection with any such dispute including any claim involving NICKSOFT. This Agreement shall not be governed by the United Nations Convention on Contracts for the International Sale of Goods. If any provision in this Agreement should be held illegal or unenforceable by a court of competent jurisdiction, such provision shall be modified to the extent necessary to render it enforceable without losing its intent, or severed from this Agreement if no such modification is possible, and other provisions of this Agreement shall remain in full force and effect. A waiver by either party of any term or condition of this Agreement or any breach thereof, in any one instance, shall not waive such term or condition or any subsequent breach thereof. If any dispute arises under this Agreement, the prevailing party shall be reimbursed by the other party for any and all legal fees and costs associated therewith.

10. LICENSEE OUTSIDE THE U.S. If Licensee is located outside the U.S., then the provisions of this Section shall apply. Les parties aux presentes confirment leur volonte que cette convention de meme que tous les documents y compris tout avis qui s'y rattache, soient rediges en langue anglaise. (translation: "The parties confirm that this Agreement and all related documentation is and will be in the English language.")


Distribution

Feel free to distribute WinGet installation file in any way as long as the program is in a non-modified state.


Contact Information

Please send your comments and suggestions or report your problems to winget@nicksoft.com